Last Comment Bug 704970 - Favicon missing on URL bar; visible in awesome screen
: Favicon missing on URL bar; visible in awesome screen
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P3 normal (vote)
: ---
Assigned To: Mark Finkle (:mfinkle) (use needinfo?)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-23 14:01 PST by Aaron Train [:aaronmt]
Modified: 2012-01-09 12:03 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
patch (1.49 KB, patch)
2011-12-07 21:06 PST, Mark Finkle (:mfinkle) (use needinfo?)
mbrubeck: review+
Details | Diff | Review

Description Aaron Train [:aaronmt] 2011-11-23 14:01:16 PST
Using the website: http://www.torontoist.com *, once the page has completed loading I do not see the site's associated Favicon. The browser will display the default image. However, the site's Favicon is displayed appropriately in their entries in the AwesomeScreen.

* <link rel="shortcut icon" href="http://torontoist.com/wp-content/themes/torontoist_theme20112/images/graphics/favicon.ico">

Not all sites do this, the issue seems spotty.

--
Samsung Nexus S (Android 2.3.6)
20111123040207
http://hg.mozilla.org/projects/birch/rev/cd5725c23a13
Comment 1 Mark Finkle (:mfinkle) (use needinfo?) 2011-12-07 21:06:34 PST
Created attachment 579957 [details] [diff] [review]
patch

Fixes a bug where the "target" was being treated like a HTMLDocument, but it's an HTMLLinkElement. Also fixed a 'this' binding problem in a different part of the code.
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2011-12-08 05:59:05 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/ed8c9124bef5
Comment 3 Aaron Train [:aaronmt] 2011-12-08 06:48:46 PST
Samsung Galaxy SII (Android 2.3.4)
20111208060054
http://hg.mozilla.org/integration/mozilla-inbound/rev/b0f8871174a5
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2011-12-08 07:17:40 PST
(In reply to Aaron Train [:aaronmt] from comment #3)
> Samsung Galaxy SII (Android 2.3.4)
> 20111208060054
> http://hg.mozilla.org/integration/mozilla-inbound/rev/b0f8871174a5

Mis-fire. Wrong cset and code is not on m-c yet.
Comment 5 Ed Morley [:emorley] 2011-12-09 07:08:49 PST
https://hg.mozilla.org/mozilla-central/rev/ed8c9124bef5
Comment 6 Camelia Urian 2011-12-12 02:47:51 PST
Build ID: Mozilla/5.0 (Android; Linux armv7l; rv:11.0a1) Gecko/20111211 Firefox/11.0a1 Fennec/11.0a1
Device: Samsung Nexus S
OS: Android 2.3

Favicon displayed on URL bar and awesome screen.(Verified on http://www.torontoist.com, bugzilla.mozilla.org, cnn.com, google.com, getfirebug.com, ... )

Marking as verified.

Note You need to log in before you can comment on or make changes to this bug.